package com.rubin;

/**
 * 生命周期组件
 * Created by RubinChu on 2021/5/2 11:22
 */
public interface LifeCycle {

    /**
     * 初始化
     */
    void init();

    /**
     * 启动
     */
    void start();

    /**
     * 销毁
     */
    void destroy();

}
