package com.rubin.service;

import com.rubin.LifeCycle;
import com.rubin.connector.Connector;
import com.rubin.reader.ServerXmlReader;

/**
 * Created by RubinChu on 2021/5/2 11:25
 */
public class Service implements LifeCycle {

    private String name;

    private Connector connector;

    /**
     * 初始化
     */
    @Override
    public void init() {
        ServerXmlReader serverXmlReader = new ServerXmlReader();
        this.name = serverXmlReader.read("Service.name");
        this.connector = new Connector();
        connector.init();
    }

    /**
     * 启动
     */
    @Override
    public void start() {
        connector.start();
    }

    /**
     * 销毁
     */
    @Override
    public void destroy() {
        connector.destroy();
    }

}
